<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__canfd__interrupt__handling__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_canfd_interrupt_handling_t</compoundname>
    <includes local="no">cy_canfd.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__canfd__interrupt__handling__t_1a2906c6c00bef0226e1f76c5d7078519c" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__canfd__data__structures_1ga7300609d8a0291692ae148456fee951c">cy_canfd_tx_msg_func_ptr_t</ref></type>
        <definition>cy_canfd_tx_msg_func_ptr_t cy_stc_canfd_interrupt_handling_t::canFDTxInterruptFunction</definition>
        <argsstring />
        <name>canFDTxInterruptFunction</name>
        <briefdescription>
<para>The pointer to transmit interrupt callback. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="1023" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="1023" />
      </memberdef>
      <memberdef id="structcy__stc__canfd__interrupt__handling__t_1aabf9747bf6a7d283c117c37e6ee28966" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__canfd__data__structures_1ga3fdd841e17fd4e706f5f217ca80a691a">cy_canfd_rx_msg_func_ptr_t</ref></type>
        <definition>cy_canfd_rx_msg_func_ptr_t cy_stc_canfd_interrupt_handling_t::canFDRxInterruptFunction</definition>
        <argsstring />
        <name>canFDRxInterruptFunction</name>
        <briefdescription>
<para>The pointer to receive interrupt callback (dedicated Rx Buffer or RxFIFO without Top pointer logic) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="1024" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="1024" />
      </memberdef>
      <memberdef id="structcy__stc__canfd__interrupt__handling__t_1a412f1033f57d13556c5bf5623ec8a854" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__canfd__data__structures_1gae198512e1fb6df10b86da3a393b536ec">cy_canfd_error_func_ptr_t</ref></type>
        <definition>cy_canfd_error_func_ptr_t cy_stc_canfd_interrupt_handling_t::canFDErrorInterruptFunction</definition>
        <argsstring />
        <name>canFDErrorInterruptFunction</name>
        <briefdescription>
<para>The pointer to error interrupt callback. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="1027" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="1027" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>CAN FD interrupt pointer structure. </para>    </briefdescription>
    <detaileddescription>
<para>Holds some pointers to callback functions and buffer </para>    </detaileddescription>
    <collaborationgraph>
      <node id="43">
        <label>cy_stc_canfd_r1_t</label>
        <link refid="structcy__stc__canfd__r1__t" />
      </node>
      <node id="41">
        <label>cy_stc_canfd_interrupt_handling_t</label>
        <link refid="structcy__stc__canfd__interrupt__handling__t" />
        <childnode refid="42" relation="usage">
          <edgelabel>canFDRxInterruptFunction</edgelabel>
        </childnode>
      </node>
      <node id="42">
        <label>cy_stc_canfd_rx_buffer_t</label>
        <link refid="structcy__stc__canfd__rx__buffer__t" />
        <childnode refid="43" relation="usage">
          <edgelabel>r1_f</edgelabel>
        </childnode>
        <childnode refid="44" relation="usage">
          <edgelabel>r0_f</edgelabel>
        </childnode>
      </node>
      <node id="44">
        <label>cy_stc_canfd_r0_t</label>
        <link refid="structcy__stc__canfd__r0__t" />
      </node>
    </collaborationgraph>
    <location bodyend="1028" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="1021" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="1022" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__canfd__interrupt__handling__t_1a412f1033f57d13556c5bf5623ec8a854" virt="non-virtual"><scope>cy_stc_canfd_interrupt_handling_t</scope><name>canFDErrorInterruptFunction</name></member>
      <member prot="public" refid="structcy__stc__canfd__interrupt__handling__t_1aabf9747bf6a7d283c117c37e6ee28966" virt="non-virtual"><scope>cy_stc_canfd_interrupt_handling_t</scope><name>canFDRxInterruptFunction</name></member>
      <member prot="public" refid="structcy__stc__canfd__interrupt__handling__t_1a2906c6c00bef0226e1f76c5d7078519c" virt="non-virtual"><scope>cy_stc_canfd_interrupt_handling_t</scope><name>canFDTxInterruptFunction</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>